package com.szpg.db.dao;

import java.util.List;

import com.szpg.db.data.PgSH;
import com.szpg.db.data.PgSHAlm;

/**
 * 硫化氢相关参数读写的数据库接口
 * @author admin
 *
 */
public interface PgHSDao {

	/******** 硫化氢浓度变量值 ********/
	public List<PgSH> findAllPblz();
	public PgSH findPblzById(Integer id);
	
	public List<PgSH> findPblzByDevice(Integer deviceid);
	public List<PgSH> findPblzByDeviceAndTm(Integer deviceid, String start, String end);
	
	public int addPblzRecord(PgSH hs);
	public int addPblzRecord(float value, String tm, int deviceid);
	
	
	/******** 硫化氢浓度报警状态 ********/
	public List<PgSHAlm> findAllSbjz();
	public PgSHAlm findSbjzById(Integer id);
	
	public List<PgSHAlm> findSbjzByDevice(Integer deviceid);
	public List<PgSHAlm> findSbjzByDeviceAndTm(Integer deviceid, String start, String end);
	
	public int addSbjzRecord(PgSHAlm hsalm);
	public int addSbjzRecord(boolean status, String tm, int deviceid);
}
